#include <iostream>
#include<bits/stdc++.h>
using namespace std;

int main()
{

ios_base::sync_with_stdio(0);
cin.tie(0);

int n,q,x,y;
scanf("%d",&n);
int a[100000];
for(int i=1;i<=n;i++)
    scanf("%d",&a[i]);
scanf("%d",&q);
for(int i=0;i<q;i++)
{
    scanf("%d%d",&x,&y);
    int s=0;
    for(int j=x+1;j<=y;j++)
    {
        if(a[j]<a[j-1])s++;
        if(s>1){printf("NE\n");break;}

    }
    if(s<2)printf("DA\n");

}
    return 0;
}